## org.eclipse.datatools.modelbase.sql.constraints.impl
Class TableConstraintImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
                  org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl

All Implemented Interfaces:
  Constraint, SQLObject, TableConstraint

Direct Known Subclasses:
  CheckConstraintImpl, ReferenceConstraintImpl

public abstract class TableConstraintImpl
extends ConstraintImpl
implements TableConstraint

An implementation of the model object 'Table Constraint'.

The following features are implemented:

- `Base Table`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetBaseTable(BaseTable newBaseTable, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`BaseTable` `getBaseTable()`
`void` `setBaseTable(BaseTable newBaseTable)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getBaseTable

    public BaseTable getBaseTable()

  Specified by:
    `getBaseTable` in interface `TableConstraint`
  Returns:
    the value of the 'Base Table' container reference.
  See Also:
    `TableConstraint.setBaseTable(BaseTable)`, `SQLConstraintsPackage.getTableConstraint_BaseTable()`, `BaseTable.getConstraints()`

### basicSetBaseTable

    public NotificationChain basicSetBaseTable(BaseTable newBaseTable,
                                               NotificationChain msgs)

### setBaseTable

    public void setBaseTable(BaseTable newBaseTable)

  Specified by:
    `setBaseTable` in interface `TableConstraint`
  Parameters:
    `newBaseTable` - the new value of the 'Base Table' container reference.
  See Also:
    `TableConstraint.getBaseTable()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `ConstraintImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `ConstraintImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `ConstraintImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `ConstraintImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.